using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GDBGGridListControl
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridDataBoundGrid1.DataSource = GetTable();
            this.gridDataBoundGrid1.Binder.InternalColumns[1].StyleInfo.CellType = GridCellTypeName.GridListControl;
            this.gridDataBoundGrid1.Binder.InternalColumns[0].StyleInfo.CellType = GridCellTypeName.GridListControl;
            this.gridDataBoundGrid1.Binder.InternalColumns[1].StyleInfo.DataSource = GetTable1();
            this.gridDataBoundGrid1.Binder.InternalColumns[1].StyleInfo.DisplayMember = "ID";
            this.gridDataBoundGrid1.Binder.InternalColumns[1].StyleInfo.ValueMember = "ID";
            this.gridDataBoundGrid1.Binder.InternalColumns[0].StyleInfo.DataSource = GetTable2();
            this.gridDataBoundGrid1.Binder.InternalColumns[0].StyleInfo.DisplayMember = "Col0";
            this.gridDataBoundGrid1.Binder.InternalColumns[0].StyleInfo.ValueMember = "Col0";

        }
        private DataTable GetTable2()
        {
            DataTable dt = new DataTable("MyTable");

            int nCols = 5;
            int nRows = 10;

            for (int i = 0; i < nCols; i++)
            {
                dt.Columns.Add(new DataColumn(string.Format("Col{0}", i)));
            }

            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                for (int j = 0; j < nCols; j++)
                {
                    dr[j] = string.Format("row{0} col{1}", i, j);
                }
                dt.Rows.Add(dr);
            }
            return dt;
        }
        private DataTable GetTable()
        {
            DataTable dt = new DataTable("MyTable");

            dt.Columns.Add(new DataColumn("Criteria", typeof(string)));
            dt.Columns.Add(new DataColumn("Criteria Value", typeof(string)));
            dt.Columns.Add(new DataColumn("History", typeof(string)));

            dt.Rows.Add(new object[] { "Issue", DateTime.Today, "Trader" });
            dt.Rows.Add(new object[] { "Issue", DateTime.Today, "Trader" });
            dt.Rows.Add(new object[] { "Issue", DateTime.Today, "Trader" });
            dt.Rows.Add(new object[] { "Issue", DateTime.Today, "Trader" });
            dt.Rows.Add(new object[] { "Issue", DateTime.Today, "Trader" });

            return dt;
        }
      private  DataTable GetTable1()
        {
            int nRows = 5;
            DataTable dt = new DataTable();
            DataColumn col1 = new DataColumn("ID");
            DataColumn col2 = new DataColumn("Description");
            dt.Columns.Add(col1);
            dt.Columns.Add(col2);
            for (int i = 1; i < nRows; i++)
            {
                DataRow dr = dt.NewRow();
                dr[0] = i;
                if (i == 1)
                    dr[1] = "One";
                else if (i == 2)
                    dr[1] = "Two";
                else if (i == 3)
                    dr[1] = "Three";
                else if (i == 4)
                    dr[1] = "Four";
                else if (i == 5)
                    dr[1] = "Five";
                dt.Rows.Add(dr);
            }
            return dt;


        }
     
    }
}